<!--通知阅读界面-->
{% extends "base.html" %}
{% from "macro.html" import render_pagination, commentDiv with context %}
{% block head %}
    {{ super() }}
    {{ ckeditor.load_code_theme() }}
    <!--suppress ALL -->
    <link rel="stylesheet" href="{{url_for('static',filename='css/notice.css')}}">
{% endblock %}
{% block title %}
    {{ notice.title }}
{% endblock %}

{% block content %}
    {{ moment.locale(auto_detect=True) }}
    <body>
    <main>
        <div class="container mt-2">
            {% include "_flash.html" %}
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a class="text-decoration-none" href="/">主页</a></li>

                <li class="breadcrumb-item active">通知</li>
            </ol>
            <!-- 帖子主要信息 -->
            <div class="notice-div">
                <h1 class="notice-title-h1" id="noticeTitle" data-id="{{ notice.id }}">{{ notice.title }}</h1>
                <img src="{{ url_for('static', filename=notice.author.avatar ) }}"  width="50" height="50" class="rounded avatar-50">
                <div class="d-flex">
                    <div>
                        <a class="ml-2 text-decoration-none text-info" href="#">{{ usernickname }}</a>
                    </div>
                </div>
                <div class="mt-2">
                    <article>
                        {{ notice.content|safe }}
                    </article>
                </div>
                {% if current_user.is_authenticated and current_user.id == notice.author_id %}
                    <div class="d-flex flex-row-reverse mt-1">
                        <a class="mr-2 text-decoration-none text-muted" href="/notice/delete/{{ notice.id }}"><small>删除</small></a>
                    </div>
                {% endif %}
            </div>
            <div class="div-gutter20"></div>
            {% if current_user.is_authenticated and current_user.role.name == "学生" %}
            <a class="btn btn-dark" id="commentBtn" href="/notice/confirm/{{ notice.id }}" >确认收到</a>
            {% endif %}

        </div>
    </main>
    <script src="{{ url_for('static', filename='js/notice.js') }}"></script>
    </body>
{% endblock %}